// Лампочка 1
defineVirtualDevice("lamp1", {
    title: "Лампа 1",
    cells: {
        power: {
            type: "switch", // Переключатель вкл/выкл
            value: false,
            control: {
                type: "switch",
                label: "Состояние"
            }
        },
    }
});

// Лампочка 2
defineVirtualDevice("lamp2", {
    title: "Лампа 2",
    cells: {
        power: {
            type: "switch",
            value: false,
            control: {
                type: "switch",
                label: "Состояние"
            }
        },
    }
});

defineRule("lamp1Control", {
    whenChanged: "lamp1/power",
    then: function (newVal) {
        dev["relay1/on"] = newVal; // Управление физическим реле 1
    }
});

defineRule("lamp2Control", {
    whenChanged: "lamp2/power",
    then: function (newVal) {
        dev["relay2/on"] = newVal; // Управление физическим реле 2
    }
});